# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | Protected Attributes | List of all members
dirac::StreamPicInput Class Referenceabstract

Picture input class. More...

`#include <pic_io.h>`

Inheritance diagram for dirac::StreamPicInput:

## Public Member Functions
| StreamPicInput ()
| Default Constructor. More...
| StreamPicInput (std::istream *ip_pic_ptr, const SourceParams &sparams)
| Constructor. More...
virtual | ~StreamPicInput ()
| Destructor. More...
virtual void | Skip (const int n)=0
| Skip n frames of input. More...
virtual bool | ReadNextPicture (Picture &mypic)=0
| Read the next picture frame/field from the file. More...
SourceParams & | GetSourceParams () const
| Get the source parameters. More...
bool | End () const
| Returns true if we're at the end of the input, false otherwise. More...

## Protected Attributes
SourceParams | m_sparams
| Source parameters. More...
std::istream * | m_ip_pic_ptr
| Input stream. More...

## Detailed Description

Abstract Class for reading picture data from a stream.

## Constructor & Destructor Documentation

dirac::StreamPicInput::StreamPicInput | ( |  | ) |

dirac::StreamPicInput::StreamPicInput | ( | std::istream * | ip_pic_ptr,
|  | const SourceParams & | sparams
| ) |  |

Constructor, takes

Parameters

  ip_pic_ptr | input stream to read from
  sparams | Source parameters

virtual dirac::StreamPicInput::~StreamPicInput | ( |  | ) |
| virtual

## Member Function Documentation

bool dirac::StreamPicInput::End | ( |  | ) | const

SourceParams& dirac::StreamPicInput::GetSourceParams | ( |  | ) | const
| inline

References m_sparams.

Referenced by dirac::MemoryStreamInput::GetSourceParams(), and dirac::FileStreamInput::GetSourceParams().

virtual bool dirac::StreamPicInput::ReadNextPicture | ( | Picture & | mypic | ) |
| pure virtual

Implemented in dirac::StreamFieldInput, and dirac::StreamFrameInput.

virtual void dirac::StreamPicInput::Skip | ( | const int | n | ) |
| pure virtual

Implemented in dirac::StreamFieldInput, and dirac::StreamFrameInput.

## Member Data Documentation

std::istream* dirac::StreamPicInput::m_ip_pic_ptr
| protected

SourceParams dirac::StreamPicInput::m_sparams
| mutable protected

Referenced by GetSourceParams().

The documentation for this class was generated from the following file:

- pic_io.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.